describe('User flow: Login, create a new order, add item to basket and go to confirm view', () => {
    before(() => {
        cy.resetDB();
    });

    it('success', () => {
        // 1- Loguear como empleado
        cy.login('employee');
        // 2- Crear una orden
        cy.createOrderReceiveFlow();
        // 3- Filtrar items y agregar item al carrito
        cy.addItemToBasketFlow();
        // 4- Ir al carrito
        cy.dataCy('catalogGoToBasketButton').should('exist');
        cy.dataCy('catalogGoToBasketButton').click();
        cy.url().should('contain', '/#/ecomerce/basket');
        // 5- Verificar que el item se agregó al carrito
        cy.dataCy('basketItemRow').should('exist');
        cy.dataCy('basketItemRow').should('have.length', 1);
        // 6- Ir a la vista de confirmación
        cy.dataCy('basketToConfirmBtn').should('exist');
        cy.dataCy('basketToConfirmBtn').click();
        cy.url().should('contain', '/#/ecomerce/confirm');
    });
});
