describe('NewsView', () => {
    beforeEach(() => {
        cy.login('developer');
        cy.visit('/#/admin/items');
    });

    it('shows empty state', () => {
        cy.dataCy('itemsViewList').should('exist');
        cy.dataCy('itemsViewList').should(
            'contain',
            'Introduce un término de búsqueda'
        );
        cy.dataCy('itemsViewCard').should('not.exist');
    });

    it('search for an item', () => {
        cy.dataCy('searchBar').should('exist');
        cy.dataCy('searchBar').find('input').type('Bolas de madera{enter}');
        cy.dataCy('itemsViewList').should(
            'not.contain',
            'Introduce un término de búsqueda'
        );
        cy.dataCy('itemsViewCard').should('exist');
        cy.dataCy('itemsViewCard').should('contain', 'Bolas de madera');
    });
});
