const checkoutNextStep = () => {
    cy.dataCy('checkoutStepperRightButton').should('be.visible').click();
};

Cypress.Commands.add('createOrderReceive', () => {
    cy.dataCy('checkoutStepper').should('exist');
    cy.dataCy('checkoutStepper').should(
        'contain',
        '¿Quieres recibir o recoger el pedido?'
    );
    cy.dataCy('Recibir en mi tienda', 'aria-label').click();

    checkoutNextStep();
    cy.dataCy('checkoutStepper').should(
        'contain',
        '¿Qué día quieres recibir el pedido?'
    );
    checkoutNextStep();
    cy.dataCy('checkoutStepper').should(
        'contain',
        '¿Dónde quieres recibir el pedido?'
    );
    cy.dataCy('checkoutAddressStep').within(() => {
        cy.get('label:first').click();
    });
    checkoutNextStep();
    cy.dataCy('checkoutStepper').should(
        'contain',
        '¿Cómo quieres recibir el pedido?'
    );
    cy.dataCy('agencyStepSelect').should('exist');
    cy.selectOption('[data-testid="agencyStepSelect"]', 'Other agency');
    checkoutNextStep();
    checkoutNextStep();
    cy.url().should('contain', '/#/ecomerce/catalog');
});

Cypress.Commands.add('createOrderReceiveFlow', () => {
    cy.visit('/#/ecomerce/pending');
    cy.dataCy('pendingOrdersNewOrder').should('exist');
    cy.dataCy('pendingOrdersNewOrder').click();
    cy.createOrderReceive();
    cy.checkNotify('positive', '¡Pedido cargado en la cesta!');
});

Cypress.Commands.add('createOrderPickup', () => {
    cy.dataCy('checkoutStepper').should('exist');
    cy.dataCy('checkoutStepper').should(
        'contain',
        '¿Quieres recibir o recoger el pedido?'
    );
    cy.dataCy('Recoger en almacén', 'aria-label').click();
    checkoutNextStep();
    cy.dataCy('checkoutStepper').should(
        'contain',
        '¿Qué día quieres recibir el pedido?'
    );
    checkoutNextStep();
    cy.dataCy('checkoutStepper').should(
        'contain',
        '¿A qué dirección quieres asociar el pedido? (Opcional)'
    );
    cy.dataCy('checkoutAddressStep').within(() => {
        cy.get('label:first').click();
    });
    checkoutNextStep();
    cy.dataCy('checkoutStepper').should(
        'contain',
        '¿En qué almacén quieres recoger tu pedido?'
    );
    cy.dataCy('pickupStepSelect').should('exist');
    cy.selectOption('[data-testid="pickupStepSelect"]', 'Teleportation device');
    checkoutNextStep();
    checkoutNextStep();
    cy.url().should('contain', '/#/ecomerce/catalog');
});

Cypress.Commands.add('createOrderPickupFlow', (changeLanguage = false) => {
    if (changeLanguage) cy.changeLanguageFlow('es');
    cy.visit('/#/ecomerce/pending');
    cy.dataCy('pendingOrdersNewOrder').should('exist');
    cy.dataCy('pendingOrdersNewOrder').click();
    cy.createOrderPickup();
    cy.checkNotify('positive', '¡Pedido cargado en la cesta!');
});
