describe('Changes user nickname', () => {
    beforeEach(() => {
        cy.login('brucewayne');
        cy.visit('/#/account/conf');
    });

    it('changes username', () => {
        cy.changeUserNickname('Bruce Wayne', 'New test nickname');
        cy.resetDB();
    });

    it('changes site lang when changing user lang', () => {
        cy.dataCy('configViewLang').should('exist');
        cy.selectOption('[data-testid="configViewLang"]', 'Español');
        cy.dataCy('headerTitle').should('contain', 'Configuración');
        cy.selectOption('[data-testid="configViewLang"]', 'English');
        cy.dataCy('headerTitle').should('contain', 'Configuration');
    });
});
