// Login view commands
Cypress.Commands.add('login', user => {
    cy.request({
        method: 'POST',
        url: '/api/Accounts/login',
        body: {
            user,
            password: 'nightmare'
        }
    }).then(response => {
        window.sessionStorage.setItem('token', response.body.token);
        cy.request({
            method: 'GET',
            url: '/api/VnUsers/ShareToken',
            headers: {
                Authorization: window.sessionStorage.getItem('token')
            }
        }).then(({ body }) => {
            window.sessionStorage.setItem(
                'tokenMultimedia',
                body.multimediaToken.id
            );
        });
    });
});

Cypress.Commands.add('logout', user => {
    cy.request({
        method: 'POST',
        url: '/api/Accounts/logout',
        headers: {
            Authorization: window.localStorage.getItem('token')
        }
    }).then(response => {
        localStorage.clear();
        sessionStorage.clear();
    });
});

Cypress.Commands.add('loginFlow', (user, visitLogin = true) => {
    if (visitLogin) cy.visit('/#/login');
    cy.dataCy('loginUserInput').type(user);
    cy.getValue('[data-testid="loginUserInput"]').should('equal', user);
    cy.dataCy('loginPasswordInput').type('nightmare');
    cy.getValue('[data-testid="loginPasswordInput"]').should(
        'equal',
        'nightmare'
    );

    cy.get('button[type="submit"]').click();
    cy.url().should('contain', '/#/cms/home');
});

Cypress.Commands.add('changeLanguage', language => {
    const languagesOrder = ['en', 'es', 'ca', 'fr', 'pt'];
    const index = languagesOrder.indexOf(language);
    cy.waitForElement('[data-testid="switchLanguage"]');
    cy.dataCy('switchLanguage').click();
    cy.get('.q-menu .q-item').eq(index).click(); // Selecciona y hace clic en el tercer elemento "index" de la lista
});

Cypress.Commands.add('changeLanguageFlow', language => {
    cy.visit('/#/login');
    cy.changeLanguage(language);
});

Cypress.Commands.add('logoutFlow', language => {
    cy.dataCy('logoutButton').should('exist');
    cy.dataCy('logoutButton').click();
});
