describe('PendingOrders', () => {
    beforeEach(() => {
        cy.login('brucewayne');
        cy.visit('/#/ecomerce/orders');
    });

    const makePayment = typeAmount => {
        cy.dataCy('makePaymentButton').should('exist');
        cy.dataCy('makePaymentButton').click();
        cy.dataCy('payAmountDialog').should('exist');
        cy.dataCy('payAmountInput').find('input').should('exist');
        cy.dataCy('payAmountInput').find('input').clear();
        if (typeAmount || typeAmount === 0)
            cy.dataCy('payAmountInput').find('input').type(typeAmount);
        cy.setConfirmDialog();
    };

    // it('confirm payment redirects to payment site', () => {
    //     makePayment('100');
    // TODO: Ver como hacer para verificar redirección a sitio externo
    // });

    it('fails payment if pay amount is 0', () => {
        cy.visit('/#/ecomerce/orders');
        makePayment(0);
        cy.checkNotify(
            'negative',
            'La cantidad debe ser un número positivo e inferior o igual al importe pendiente'
        );
    });
});
